Authentication
authorization string required
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key.
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID to use for the request.
Value: spark_actor_imitation
video_url string required
Reference video URL
image_url string required
Image URL
Polling
Since video generation takes time, you need to poll the task status after creation
The initial response returns the task ID and initial status. The actual generation results must be obtained through polling the task status endpoint
Response Format
error object
Error information. Only present when status is failed.
code
stringError code
error_message
stringDetailed error message
output array
Generation results. Only present when status is completed.
content
arrayList of generated content
type
stringResource type, e.g.,
video,imageurl
stringGenerated content URL
usage object
Usage statistics. Only present when status is completed.
cost
stringTotal cost in USD
discount
numberDiscount amount
metadata object
Metadata information
Error Codes
| Error Code | Description |
|---|---|
| 003017001 | Reference video URL missing |
| 003017002 | Image URL missing |
| 003017095 | Internal generation error |
| 003017096 | Result parsing error |
| 003017097 | HTTP error response |
| 003017098 | Status check error |
| 003017099 | Task creation error/Service unavailable |